﻿// $Id: ExponentialAverage.frag 443 2010-10-18 13:45:30Z cr333 $
#version 120
#extension GL_EXT_gpu_shader4 : enable

uniform sampler2D current;
uniform sampler2D previous;

uniform float weight;

void main()
{
	vec4 old = texture2D(previous, gl_FragCoord.xy / textureSize2D(previous, 0));
	vec4 new = texture2D(current,  gl_FragCoord.xy / textureSize2D(current,  0));

	gl_FragColor = mix(old, new, weight);
}