// $Id: ImageEntry.h 262 2010-07-28 13:25:26Z cr333 $
#pragma once

#include <windows.h>
#include "libMesaSR/libMesaSR.h"
#include "Enums.h"

using namespace System;
using namespace VideoLib;
using namespace VideoLib::Frames;

namespace VideoLib { namespace SR4000 {

	// takes a copy of all values in ImgEntry
	public value class ImageEntry
	{
	private:
		typedef VideoLib::SR4000::ImageType EnumImageType;
		typedef VideoLib::SR4000::DataType EnumDataType;

		EnumImageType _imageType;
		EnumDataType _dataType;
		void* _data;
		int _width;
		int _height;

	public:
		ImageEntry(ImgEntry& imageEntry);

		BitmapFrame^ GetBitmapFrame();

		property EnumImageType ImageType { EnumImageType get() { return _imageType; } }
		property EnumDataType  DataType  { EnumDataType  get() { return _dataType;  } }
		property void* Data   { void* get() { return _data;   } }
		property int   Width  { int   get() { return _width;  } }
		property int   Height { int   get() { return _height; } }
	};

}}